> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.spott.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a note

> Updates the note with the specified ID.



## OpenAPI

````yaml /openapi-private.json put /notes/{id}
openapi: 3.1.0
info:
  title: Spott API Reference
  version: '0.1'
servers:
  - url: https://api.gospott.com
security: []
tags: []
paths:
  /notes/{id}:
    put:
      tags:
        - Notes
      summary: Update a note
      description: Updates the note with the specified ID.
      operationId: updateNote
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateNoteDto'
      responses:
        '204':
          description: Note updated successfully.
        '400':
          description: Bad request - missing or invalid required fields
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExceptionBaseDto'
        '401':
          description: Unauthorized - invalid or missing authentication
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExceptionBaseDto'
        '404':
          description: Note not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExceptionBaseDto'
        '500':
          description: Error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExceptionBaseDto'
      security:
        - x-api-key: []
components:
  schemas:
    UpdateNoteDto:
      type: object
      properties:
        title:
          anyOf:
            - type: string
            - type: 'null'
        content:
          description: The content of the note in HTML format.
          type: string
        pinned:
          type: boolean
        source:
          anyOf:
            - type: string
              enum:
                - phone
                - phoneInbound
                - phoneOutbound
                - inPerson
                - onlineMeeting
                - callAttempted
            - type: 'null'
        labelIds:
          type: array
          items:
            type: string
        createdById:
          description: The id of the user to attribute the note to.
          type: string
      required:
        - title
        - content
        - pinned
      id: PrivateUpdateNoteDto
    ExceptionBaseDto:
      type: object
      properties:
        status:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        message:
          type: string
        requestId:
          type: string
      required:
        - status
        - message
        - requestId
      id: ExceptionBaseDto
  securitySchemes:
    x-api-key:
      type: apiKey
      name: x-api-key
      in: header
      description: >-
        API key for authentication. Get your API key from Settings → API Keys in
        your Spott dashboard.

````